From: Guilhem Moulin <guilhem@debian.org>
Date: Tue, 8 Dec 2020 19:04:07 +0100
Subject: Fix FTBFS with phpunit 8.5.13-1.

Last-Update: 2020-12-08
Bug-Debian: https://bugs.debian.org/882938
Forwarded: not-needed
---
 tests/Net_LDAP2Test.php         | 4 ++--
 tests/Net_LDAP2_EntryTest.php   | 4 ++--
 tests/Net_LDAP2_FilterTest.php  | 4 ++--
 tests/Net_LDAP2_LDIFTest.php    | 4 ++--
 tests/Net_LDAP2_RootDSETest.php | 4 ++--
 tests/Net_LDAP2_SearchTest.php  | 4 ++--
 tests/Net_LDAP2_TestBase.php    | 6 +++---
 tests/Net_LDAP2_UtilTest.php    | 4 ++--
 8 files changed, 17 insertions(+), 17 deletions(-)

diff --git a/tests/Net_LDAP2Test.php b/tests/Net_LDAP2Test.php
index 00da7c6..845c33c 100644
--- a/tests/Net_LDAP2Test.php
+++ b/tests/Net_LDAP2Test.php
@@ -18,7 +18,7 @@ class Net_LDAP2Test extends Net_LDAP2_TestBase {
      *
      * @access protected
      */
-    protected function setUp() {
+    protected function setUp(): void {
         $this->ldapcfg = $this->getTestConfig();
     }
 
@@ -28,7 +28,7 @@ class Net_LDAP2Test extends Net_LDAP2_TestBase {
      *
      * @access protected
      */
-    protected function tearDown() {
+    protected function tearDown(): void {
     }
 
     /**
diff --git a/tests/Net_LDAP2_EntryTest.php b/tests/Net_LDAP2_EntryTest.php
index 21995a1..cb3bc5e 100644
--- a/tests/Net_LDAP2_EntryTest.php
+++ b/tests/Net_LDAP2_EntryTest.php
@@ -34,7 +34,7 @@ class Net_LDAP2_EntryTest extends Net_LDAP2_TestBase {
      *
      * @access protected
      */
-    protected function setUp() {
+    protected function setUp(): void {
         $this->ldapcfg = $this->getTestConfig();
     }
 
@@ -44,7 +44,7 @@ class Net_LDAP2_EntryTest extends Net_LDAP2_TestBase {
      *
      * @access protected
      */
-    protected function tearDown() {
+    protected function tearDown(): void {
     }
 
     /**
diff --git a/tests/Net_LDAP2_FilterTest.php b/tests/Net_LDAP2_FilterTest.php
index 20a190b..118b4f0 100644
--- a/tests/Net_LDAP2_FilterTest.php
+++ b/tests/Net_LDAP2_FilterTest.php
@@ -31,7 +31,7 @@ class Net_LDAP2_FilterTest extends Net_LDAP2_TestBase {
      *
      * @access protected
      */
-    protected function setUp() {
+    protected function setUp(): void {
     }
 
     /**
@@ -40,7 +40,7 @@ class Net_LDAP2_FilterTest extends Net_LDAP2_TestBase {
      *
      * @access protected
      */
-    protected function tearDown() {
+    protected function tearDown(): void {
     }
 
     /**
diff --git a/tests/Net_LDAP2_LDIFTest.php b/tests/Net_LDAP2_LDIFTest.php
index 0d4f60e..6f32d20 100644
--- a/tests/Net_LDAP2_LDIFTest.php
+++ b/tests/Net_LDAP2_LDIFTest.php
@@ -100,7 +100,7 @@ class Net_LDAP2_LDIFTest extends Net_LDAP2_TestBase {
      *
      * @access protected
      */
-    protected function setUp() {
+    protected function setUp(): void {
         // initialize test entries
         $this->testentries = array();
         foreach ($this->testentries_data as $dn => $attrs) {
@@ -120,7 +120,7 @@ class Net_LDAP2_LDIFTest extends Net_LDAP2_TestBase {
      *
      * @access protected
      */
-    protected function tearDown() {
+    protected function tearDown(): void {
 	// uncomment this if you debug the test cases so you will have output available
 	if (file_exists($this->outfile)) @unlink($this->outfile);
     }
diff --git a/tests/Net_LDAP2_RootDSETest.php b/tests/Net_LDAP2_RootDSETest.php
index 97b7b93..aacb7bd 100644
--- a/tests/Net_LDAP2_RootDSETest.php
+++ b/tests/Net_LDAP2_RootDSETest.php
@@ -26,7 +26,7 @@ class Net_LDAP2_RootDSETest extends Net_LDAP2_TestBase {
      *
      * @access protected
      */
-    protected function setUp() {
+    protected function setUp(): void {
         $this->markTestIncomplete('Test not implemented yet.');
     }
 
@@ -36,7 +36,7 @@ class Net_LDAP2_RootDSETest extends Net_LDAP2_TestBase {
      *
      * @access protected
      */
-    protected function tearDown() {
+    protected function tearDown(): void {
     }
 
     /**
diff --git a/tests/Net_LDAP2_SearchTest.php b/tests/Net_LDAP2_SearchTest.php
index e46849a..6a15933 100644
--- a/tests/Net_LDAP2_SearchTest.php
+++ b/tests/Net_LDAP2_SearchTest.php
@@ -19,7 +19,7 @@ class Net_LDAP2_SearchTest extends Net_LDAP2_TestBase {
      *
      * @access protected
      */
-    protected function setUp() {
+    protected function setUp(): void {
         $this->ldapcfg = $this->getTestConfig();
     }
 
@@ -29,7 +29,7 @@ class Net_LDAP2_SearchTest extends Net_LDAP2_TestBase {
      *
      * @access protected
      */
-    protected function tearDown() {
+    protected function tearDown(): void {
     }
 
     /**
diff --git a/tests/Net_LDAP2_TestBase.php b/tests/Net_LDAP2_TestBase.php
index 593f86e..abf005b 100644
--- a/tests/Net_LDAP2_TestBase.php
+++ b/tests/Net_LDAP2_TestBase.php
@@ -1,12 +1,12 @@
 <?php
-class Net_LDAP2_TestBase extends PHPUnit_Framework_TestCase
+class Net_LDAP2_TestBase extends \PHPUnit\Framework\TestCase
 {
-    public static function assertTrue($condition, $msg = null)
+    public static function assertTrue($condition, string $message = ''): void
     {
         if ($condition instanceof Net_LDAP2_Error) {
             self::fail('Error: ' . $condition->getMessage());
         }
-        return parent::assertTrue($condition, $msg);
+        parent::assertTrue($condition, $message);
     }
 }
 ?>
diff --git a/tests/Net_LDAP2_UtilTest.php b/tests/Net_LDAP2_UtilTest.php
index 5218ebc..f8adeb0 100644
--- a/tests/Net_LDAP2_UtilTest.php
+++ b/tests/Net_LDAP2_UtilTest.php
@@ -26,7 +26,7 @@ class Net_LDAP2_UtilTest extends Net_LDAP2_TestBase {
      *
      * @access protected
      */
-    protected function setUp() {
+    protected function setUp(): void {
     }
 
     /**
@@ -35,7 +35,7 @@ class Net_LDAP2_UtilTest extends Net_LDAP2_TestBase {
      *
      * @access protected
      */
-    protected function tearDown() {
+    protected function tearDown(): void {
     }
 
     /**
